LESSECHO(1)

BEZEICHNUNG
lessecho - Metazeichen expandieren

ÜBERSICHT

lessecho [-a] [-ox] [-cx] [-pn] [-dn] [-mx] [-nn] [-ex] Datei …

lessecho --version

BESCHREIBUNG
lessecho ist ein Programm, das seine Argumente einfach in die Standardausgabe schreibt. Jedoch wird jedem Metazeichen in der Ausgabe ein Maskierungszeichen vorangestellt, welches standardmäßig ein Rückschrägstrich ist. lessecho wird intern durch less(1) aufgerufen und ist nicht zur direkten Anwendung durch Menschen gedacht.

OPTIONEN
Eine Zusammenfassung der Optionen finden Sie nachfolgend.

-ex legt »x« anstelle des Rückschrägstrichs als Maskierungszeichen für Metazeichen fest. Falls »x« als »-« angegeben wird, wird kein Maskierungszeichen verwendet und Argumente, die Metazeichen enthalten, werden stattdessen in Anführungszeichen eingeschlossen.

-ox legt »x« statt »"« als öffnendes Anführungszeichen fest, welches verwendet wird, wenn die Option -e- angegeben ist.

-cx legt »x« als schließendes Anführungszeichen fest.

-pn legt »n« als öffnendes Anführungszeichen als Ganzzahl fest.

-dn legt »n« als schließendes Anführungszeichen als Ganzzahl fest.

-mx legt »x« als Metazeichen fest. Standardmäßig werden keine Zeichen als Metazeichen betrachtet.

-nn legt »n« als Metazeichen als Ganzzahl fest.

-fn legt »n« als Maskierungszeichen für Metazeichen als Ganzzahl fest.

-a  legt fest, dass alle Argumente in Anführungszeichen eingeschlossen werden sollen. Standardmäßig geschieht das nur für Argumente, die Metazeichen enthalten.

SIEHE AUCH
less(1)

AUTOR
Diese Handbuchseite wurde von Thomas Schoepf <schoepf@debian.org> für das Debian GNU/Linux-System geschrieben (darf aber auch von anderen verwendet werden).

Melden Sie Fehler (auf Englisch) auf https://github.com/gwsw/less/issues.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.